• Welcome to Simple Machines Community Forum. Please login or sign up.
January 27, 2022, 11:07:57 AM

News:

Bored?  Looking to kill some time?  Want to chat with other SMF users?  Join us in IRC chat or Discord


Password Protect Boards

Started by Thantos, December 16, 2005, 01:21:36 AM

Previous topic - Next topic

ExistenZ

I wish this would become a default feature...
Regards,
Andre

babjusi

Quote from: ExistenZ on July 09, 2007, 04:01:38 PM
I wish this would become a default feature...

That would be indeed great

codenaught

Quote from: babjusi on July 09, 2007, 04:18:57 PM
Quote from: ExistenZ on July 09, 2007, 04:01:38 PM
I wish this would become a default feature...

That would be indeed great
Personally I think this would be a very 'bloat' feature to have. Why? Because there is already a much more convenient and secure way to handle board access. Passwords get leaked easily and you can set up group access without nagging the user to type in a password once per login session. Maybe it is a 'fun' thing to have for some, but I think this would definitely be better as a mod.
Dev Consultant
Former SMF Doc Coordinator

ExistenZ

The only thing is that I don't want 10 000 usergroups to allow different people access to different places.

That is why passwords are a nice thing to have.

And you are probably right - they are a nice-to-have, but it would be so much nicer if it were default. Or, at least, the mod was updated regularly.
Regards,
Andre

nolefan

Quote from: ExistenZ on July 09, 2007, 04:01:38 PM
I wish this would become a default feature...
I agree 1000%.  This would save the hassle of dealing with upgrades and loosing functionality.
I actually switched forums from "Vanilla" to "SMF" just a few months back and this mod was one of the elements that swang the balance, alas.. when it was time to use it. it was incompatible. I ended up having to create so many different user profiles just to do what this mod could have allowed.

LunaGirl

The mod doesn't work on my forum.
The boards can still be accessed. =|

nolefan

Quote from: LunaGirl on July 15, 2007, 10:39:59 AM
The mod doesn't work on my forum.
The boards can still be accessed. =|
Hey Luna,
the mod is currently not supported! here's to hoping that someone with better coding skills than myself picks it up and updates it.

LunaGirl

Thanks for informing me. I downloaded from the other site instead. Thanks!

askepott


writerrobert680

So is the current version not working? Because it's displaying an error message for me.

Tapsa2

Suomi - Finland

writerrobert680

Yes, it should be updated because I really want to use it.

Bigguy

I have it installed. It will work with a small tweak to the package-info.xml file.

uspshooter

Quote from: Bigguy on July 26, 2007, 12:46:29 PM
I have it installed. It will work with a small tweak to the package-info.xml file.
Can you share the tweaks?  I looked at the file and was having trouble.  Of course I'm not a programmer no matter how you define it...
The early bird may get the worm but the second mouse gets the cheese.

jeremai

Hi all,
Could this mod be available with the 1.1.3 version?

TrueSatan

You can use it on newer SMF versions at your own risk by using version emulate:

Put ;emulate_version=1.1 RC2 at the end of the Package Manager URL

Altair

Quote from: TrueSatan on August 08, 2007, 05:07:01 PM
You can use it on newer SMF versions at your own risk by using version emulate:

Put ;emulate_version=1.1 RC2 at the end of the Package Manager URL

With this suggestion, if something goes wrong. How would you manually undo the Mod Add without screwing up the files that it edited?

pintas

I just found that if you do not set the board permissions right, any member can see the posts in password protected boards simply by clicking 'View the most recent posts on the forum' link.

Any way to bypass this?

Thanks.

~Kikoish~

It doesn't work with mine. It says something about corrupted file.

Any ideas how to fix this?

pintas

Well, i downloaded the 0.2 version. Wich version did you use? It works fine with me. All pretty and such, but any user can access the posts simply by clicking the options to view recent posts. So, or didn't install it correctly in my theme or there's a major security flaw in this mod.

Advertisement: